:root {
    --clr-primary: #000000;
    --clr-lightgray: #505050;
    --clr-accent: #ECE6DD;
}

* {
    margin: 0;
    padding: 0;
    text-rendering: auto;
    box-sizing: border-box;
    /*  font-family: "Jost", sans-serif; */
    font-family: "Source Sans 3", sans-serif;
    font-optical-sizing: auto;
    /* cursor: none; */
    /*  transition: .3s; */
}

html {
    scroll-behavior: smooth;
}

body {
    /* font-family: "Jost", sans-serif */
    font-family: "Source Sans 3", sans-serif;
}

a {
    text-decoration: none;
    color: var(--clr-primary);
}

p,
span {
    font-size: 20px;
    line-height: 160%;
    color: var(--clr-lightgray);
}

li {
    list-style: none;
}

.jost-regular {
    font-family: "Jost", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
}

.container {
    max-width: 1300px;
    margin-inline: auto;
}

.section-header {
    font-size: 60px;
    text-transform: uppercase;
    margin-bottom: 30px;
    width: fit-content;
    line-height: 110%;
}

.btn-primary {
    padding: 11px 26px;
    font-size: 16px;
    line-height: 20px;
    font-weight: 700;
    border-radius: 5px;
    border: 2px solid var(--clr-primary);
    display: inline-block;
    width: fit-content;
    text-transform: uppercase;
}

.section-excerpt {
    max-width: 380px;
    /*  width: 313px; */
    margin-bottom: 28px;
}

.swiper-button-next::after,
.swiper-button-prev::after {
    font-size: 20px;
    color: black;
}

.swiper-button-next,
.swiper-button-prev {
    width: 70px;
    height: 70px;
    border-radius: 100px;
    background-color: rgba(255, 255, 255, .3);
}

.swiper-button-disabled {
    opacity: 1 !important;
}

/* STYLES */
/* HEADER */
header {
    padding-block: 26px;
    position: fixed;
    position: absolute;
    left: 0;
    right: 0;
    background: #ede6de;
    z-index: 10;
    transition: .5s;
}

/* header.email-overlay{
    z-index: unset;
}
header.email-overlay .logo{
    z-index: 999;
} */
.page-template-lofts header,
.home header {
    background-color: rgba(255, 255, 255, .2);
}

header.solid_bg {
    background-color: white;
    box-shadow: 0px 0px 4px lightgray;
}

header .header_content {
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
}

header nav ul {
    display: flex;
    align-items: center;
    gap: 44px;
}

header nav ul .menu-item {
    position: relative;
}

header nav ul .menu-item a {
    display: block;
    font-size: 16px;
    line-height: 24px;
    font-weight: 500;
    text-transform: uppercase;
}

header nav ul .menu-item a::after {
    content: "";
    position: absolute;
    bottom: -14px;
    left: 50%;
    width: 0;
    height: 2px;
    background-color: black;
    transition: .3s;
    transform: translateX(-50%);
}

header nav ul .menu-item a:hover::after {
    width: 100%;
}

header nav ul .menu-item.current-menu-item a::after {
    width: 100%;
}

header .header_cta .btn {
    font-size: 16px;
}

.icon-1,
.icon-2,
.icon-3 {
    position: absolute;
    left: 25%;
    top: 50%;
    width: 32px;
    height: 3px;
    background-color: black;
    transition: all 400ms cubic-bezier(0.84, 0.06, 0.52, 1.8);
    border-radius: 50px;
}

.icon-1 {
    transform: translateY(-8px);
    animation-delay: 100ms;
}

.icon-3 {
    transform: translateY(8px);
    animation-delay: 250ms;
}

#responsive_menu {
    display: none;
}

.hamburger-icon {
    display: none;
}

.ham {
    cursor: pointer;
    -webkit-tap-highlight-color: transparent;
    transition: transform 400ms;
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.hamRotate.active {
    transform: rotate(45deg);
}

.line {
    fill: none;
    transition: stroke-dasharray 400ms, stroke-dashoffset 400ms;
    stroke: #000;
    stroke-width: 4.5;
    stroke-linecap: round;
}

.ham8 .top {
    stroke-dasharray: 40 160;
}

.ham8 .middle {
    stroke-dasharray: 40 142;
    transform-origin: 50%;
    transition: transform 400ms;
}

.ham8 .bottom {
    stroke-dasharray: 40 85;
    transform-origin: 50%;
    transition: transform 400ms, stroke-dashoffset 400ms;
}

.ham8.active .top {
    stroke-dashoffset: -64px;
}

.ham8.active .middle {
    /*  stroke-dashoffset: -20px; */
    transform: rotate(90deg);
}

.ham8.active .bottom {
    stroke-dashoffset: -64px;
}



.icon-1.a {
    transform: rotate(40deg);
}

.icon-3.b {
    transform: rotate(-40deg);
}

.icon-2.c {
    opacity: 0;
}

@keyframes slideIn {
    0% {
        width: 0%;
        opacity: 0;
    }

    100% {
        width: 100%;
        opacity: 1;
    }
}


/* HERO SECTION */
.home.page-template .hero-section {
    padding-block: 223px 192px;
    /* height: 100vh; */
    position: relative;
}

.hero_bg {
    width: 100%;
    height: 100%;
    /* max-height: 990px; */
    object-fit: cover;
    position: absolute;
    top: 0;
}

.hero-section .card {
    position: relative;
    padding: 64px 105px 69px 91px;
    background-color: rgba(255, 255, 255, .8);
    max-width: 535px;
    border-radius: 20px;
}

.hero-section .card span {
    display: inline-block;
    margin-bottom: 24px;
}

.hero-section .headline {
    font-size: 90px;
    font-size: clamp(2.25rem, 0.9574rem + 5.7447vw, 5.625rem);
    line-height: 110%;
    font-weight: 400;
    text-transform: uppercase;
    margin-bottom: 14px;
}

.hero-section .price_tag {
    width: 144px;
    height: 144px;
    border-radius: 100px;
    background-color: rgba(236, 230, 221, .92);
    position: absolute;
    bottom: -37px;
    right: -20px;
    display: grid;
    place-content: center;
    padding: 35px;
}

.hero-section .price_tag span {
    margin-bottom: 0;
    color: var(--clr-primary);
}

/* SERVICES */
.services-section {
    padding-block: 156px;
}

.services-content {
    display: flex;
    gap: 133px;

}

.services {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 28px;
    height: fit-content;
}

.service {
    display: flex;
    align-items: center;
    gap: 18px;
    height: fit-content;
}

.service_icon {
    width: 49px;
    height: 49px;
    border-radius: 100px;
    background-color: var(--clr-accent);
    display: grid;
    place-content: center;
}

.service span {
    max-width: 295px;
    display: inline-block;
}

/* PROJECTS SECTION */
.projects-section {
    background-color: var(--clr-accent);
    padding-block: 122px;
}

.project-content {
    display: flex;
    gap: 133px;
}

.projects_swiper {
  /*   max-width: 757px;
    width: 100%;
    height: 100%;
    border-radius: 10px;
    max-width: 757px;
    max-height: 583px; */
    width: 100%;
    height: fit-content;
    border-radius: 10px;
}
.projects_swiper .swiper-slide{
    height: auto !important;
    max-height: 583px;
}
/* .projects_swiper .swiper-slide {

} */

.projects_swiper img {
    border-radius: 10px;

    width: 100%;
    height: 100%;
    object-fit: cover;
}

.projects_swiper .swiper-button-next {
    top: unset;
    bottom: 28px;
    right: 22px;
}

.projects_swiper .swiper-button-prev {
    top: unset;
    left: unset;
    bottom: 28px;
    right: 107px;
}

.projects-section .features {
    display: flex;
    align-items: center;
    margin-top: 67px;
    gap: 75px;
}

.projects-section .feature {
    display: flex;
    gap: 24px;
    align-items: center;
}

.projects-section .feature_icon {
    width: 49px;
    height: 49px;
    border-radius: 100px;
    background-color: var(--clr-primary);
    display: grid;
    place-content: center;
}

.projects-section .feature span {
    max-width: 295px;
}

/* LOCATION SECTION */
.location-section {
    padding: 100px 0;
    overflow: hidden;
}

.location-content {
    /*  display: flex;
    align-items: end;
    gap: 133px; */
    display: grid;
    grid-template-columns: 30% 63%;
    gap: 7%;
}

.map-pin {
    transition-delay: 3s;
    transition: transform 1s ease, opacity 1s ease;
    opacity: 0;
    transform: scale(0);
    transform-origin: center;
    position: relative;
}

.map-pin.visible {
    opacity: 1;
    scale: 1;
    transform: scale(1);
}

.map-pin:nth-child(2) {
    transition-delay: .100s;
}

.map-pin:nth-child(3) {
    transition-delay: .150s;
}

.map-pin:nth-child(4) {
    transition-delay: .200s;
}

.map-pin:nth-child(5) {
    transition-delay: .250s;
}

.map-pin:nth-child(6) {
    transition-delay: .300s;
}



.swiper.location-swiper {
    border-radius: 10px;
}

.location_icon {
    width: 49px;
    height: 49px;
    background-color: var(--clr-accent);
    border-radius: 100px;
    display: grid;
    place-content: center;
}

.location-swiper .swiper-slide {
    max-width: 642px !important;
    max-height: 489px !important;
}

.location-swiper .swiper-slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}

.location_swiper.swiper-button-next {
    top: 430px;
    bottom: unset;
    right: 0;
}

.location_swiper.swiper-button-prev {
    top: 430px;
    left: unset;
    /* bottom: 36px; */
    bottom: unset;
    right: 86px;
}

.location-content .distance {
    display: flex;
    align-items: center;
    gap: 24px;
    margin-block: 28px 36px;
}

.location_swiper.mobile-button {
    display: none;
}

/*  */
.lofts-section .container {
    position: absolute;
    left: 0;
    width: 100%;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
}

.lofts-section {
    background-color: var(--clr-accent);
    /* padding-block: 83px; */
    position: relative;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    max-height: 333px;
}

.lofts-section .overlay {
    /* position: absolute;
    left: 0;
    top: 0;

    width: 63%;

    z-index: -1; */
    /*   clip-path: polygon(0 0, 100% 0, 79.4% 100%, 0% 100%); */
    height: 100%;
    background-color: var(--clr-accent);
    max-height: 333px;
}

.lofts-section .section-header {
    margin-bottom: 8px;
}

.lofts-section .btn-primary {
    margin-top: 16px;
}

.lofts-section img {
    /* position: absolute;
    right: 0;
    top: 0;
    height: 100%;
    width: 50%;
    z-index: 1;
    object-fit: cover; */
    /* clip-path: polygon(17% 0, 100% 0, 100% 100%, 0% 100%); */
    height: 100%;
    width: 100%;
    /* object-fit: cover; */
    max-height: 333px;
}

.lofts-section .price_tag {
    width: 144px;
    height: 144px;
    border-radius: 100px;
    background-color: rgba(255, 255, 255, .92);
    position: absolute;
    z-index: 20;
    display: grid;
    place-content: center;
    padding: 35px;
    top: 50%;
    left: 56.5%;
    transform: translate(-50%, -50%);

}

.lofts-section .price_tag span {
    color: var(--clr-primary);
}

/* FOOTER */
footer {
    padding-block: 22px;
}

footer .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

@media screen and (max-width: 1300px) {
    .container {
        padding-inline: 15px;
    }
}

@media screen and (max-width: 1024px) {
    .services-section {
        padding-block: 104px;
    }

    .services-content {
        flex-direction: column;
        gap: 40px;
    }

    .services-content .section-excerpt {
        max-width: 100%;
    }

    .project-content {
        gap: 48px;
    }

    .projects_swiper,
    .location-swiper {
        max-height: 500px;
    }

    .projects_swiper img {
        max-width: unset;
        max-height: unset;
    }

    .projects-section .features {
        flex-wrap: wrap;
        row-gap: 30px;
    }

    /* LOCATION */
    .location-content {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
        gap: 40px;
    }

    .location-content .btn-primary {
        margin-inline: auto;
    }

    .location-section .section-header {
        margin-inline: auto;
    }

    .location-section .section-excerpt {
        margin-bottom: 44px;
    }

    .location-content .distance {
        position: relative;
        border: .5px solid var(--clr-accent);
        padding: 14px 12px;
        border-radius: 6px;
        padding-top: 28px;
        width: 100%;
        margin-bottom: 32px;
    }

    .location-content .distance .location_icon {
        position: absolute;
        top: -20px;
        width: 40px;
        height: 40px;
        left: 50%;
        transform: translateX(-50%);
    }

    .location-content .distance span {
        max-width: unset;
        width: 100%;
    }

    .location_swiper.swiper-button-prev.mobile-button {
        right: 80px;
    }

    .location-swiper .swiper-slide {
        max-width: unset !important;
        height: auto !important;
    }


    /*     .location_swiper.mobile-button {
        display: flex;
    }

    .location_swiper.desktop-button {
        display: none;
    }

    .location_swiper.swiper-button-next.mobile-button {
        top: unset;
        bottom: 28px;
        right: 22px;
    }

    .location_swiper.swiper-button-prev.mobile-button {
        right: 100px;
        bottom: 28px;
        top: unset;
    } */

    .lofts-section {
        display: flex;
        justify-content: center;
        text-align: center;
        padding-block: 32px;
    }

    .lofts-section .container {
        background-color: var(--clr-accent);
        position: unset;
        transform: unset;
    }

    .lofts-section .section-header {
        margin-inline: auto;
    }

    .lofts-section #decor {
        display: none;
    }
}

@media screen and (max-width: 834px) {
    /* .home.page-template .hero-section {
        padding-top: 100px;
    } */

    .header_content {
        padding-inline: 15px;
    }

    .logo img {
        width: 100px;
    }

    .hamburger-icon {
        display: block;
        position: absolute;
        height: 60px;
        width: 60px;
        top: 50%;
        bottom: 50%;
        transform: translateY(-50%);
        right: 3px;
        z-index: 1000;
        cursor: pointer;
        border-radius: 50%;
        transition: all 0.2s ease-in-out;
    }



    /* section, */
    /* footer

    ,
    .lofts-section
        {
        display: none;
    } */

    #desktop-menu .menu {
        display: none;
    }

    .header_cta {
        display: none;
    }

    #responsive_menu {
        display: block;
        background: var(--clr-accent);
        position: fixed;
        top: 0;
        left: -30%;
        height: 100%;
        width: 0%;
        z-index: 4;
        opacity: 0;
        transition: all 600ms cubic-bezier(0.62, 0.04, 0.3, .5);
        text-align: center;
        transition-delay: 100ms;
    }

    #responsive_menu ul {
        margin: 0;
        position: absolute;
        top: 30%;
        left: 50%;
        transform: translateX(-50%);
    }

    #responsive_menu ul li {
        list-style: none;
        font-size: 24px;
        color: #fff;
        line-height: 2.2;
        text-transform: uppercase;
        letter-spacing: 1.7px;
    }

    #responsive_menu.show {
        width: 100%;
        opacity: 1;
        flex-direction: column;
        left: 0;
    }

    .home.page-template .hero-section {
        height: auto;
    }

    /* .hero_bg{
        display: none;
    } */
    /* .hero-section .card {
        border-radius: 0;
        padding-inline: 36px;
        text-align: center;
        height: 100%;
        padding-block: 140px;
        max-width: unset;
        width: 100%;
    }

    .hero-section .headline {
        font-size: 42px;
    }

    .hero-section .price_tag {
        position: unset;
        width: 100%;
        border-radius: 2px;
        height: unset;
        padding-block: 16px;
        margin-bottom: 52px;
    } */

    .services-section,
    .projects-section {
        display: block !important;
        padding-block: 140px;
    }

    .section-header {
        font-size: 36px;
        width: 100%;
        text-align: center;
    }

    .services-content {
        gap: 60px;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        text-align: center;
    }

    p,
    span {
        font-size: 16px;
    }

    .services {
        grid-template-columns: repeat(2, 1fr);
        column-gap: 20px;
        row-gap: 32px;
    }

    .service {
        position: relative;
        border: 1px solid var(--clr-accent);
        padding: 14px 12px;
        border-radius: 6px;
        padding-top: 28px;
    }

    .service_icon {
        position: absolute;
        top: -20px;
        width: 40px;
        height: 40px;
        left: 50%;
        transform: translateX(-50%);
    }

    .service_icon img {
        width: 20px;
    }

    .service span {
        max-width: unset;
        width: 100%;
    }

    .project-content {
        flex-direction: column-reverse;
        align-items: center;
        text-align: center;
        gap: 60px;
    }

    .project-content .slider {
        width: 100%;
    }

    .projects-section .features {
        flex-direction: column;
        gap: 32px;
        margin-top: 80px;
        text-align: center;
    }

    .projects-section .feature {
        position: relative;
        border: .5px solid var(--clr-primary);
        padding: 14px 12px;
        border-radius: 6px;
        padding-top: 28px;
        max-width: 360px;
        width: 100%;
    }

    .projects-section .feature_icon {
        position: absolute;
        top: -20px;
        width: 40px;
        height: 40px;
        left: 50%;
        transform: translateX(-50%);
    }

    .projects-section .feature_icon svg {
        width: 20px;
    }

    .projects-section .feature span {
        max-width: unset;
        width: 100%;
    }

    .swiper-button-next,
    .swiper-button-prev {
        width: 50px;
        height: 50px;
    }

    .projects_swiper .swiper-slide {
        max-width: unset;
    }

    .projects_swiper .swiper-button-prev {
        right: 80px;
    }

  /*   .projects_swiper {
        max-width: 100%;
        max-height: 400px;
    } */

    .projects_swiper .swiper-slide img {
        max-width: 757px;
        max-height: 400px;
        object-fit: cover;
    }

    /*  */
    .lofts-section {
        display: flex;
        flex-direction: column;
    }

    .lofts-section .overlay {
        position: relative;
        width: 100%;
    }

    .lofts-section .container {
        padding-block: 45px 32px;
        position: unset;
        width: 100%;
        transform: unset;
        text-align: center;
    }

    .lofts-section img {
        display: none;
    }

    .lofts-section .price_tag {
        position: unset;
        width: 100%;
        border-radius: 2px;
        height: unset;
        padding-block: 16px;
        margin-bottom: 52px;
        transform: unset;
    }

    footer .container {
        flex-direction: column-reverse;
        gap: 12px;
    }

}

@media screen and (max-width: 768px) {
    .hero-section .container {
        padding-inline: 40px;
        display: grid;
        place-content: center;
        align-items: center;
        height: 100%;
    }

    .hero-section .card {
        padding: 36px 35px;

    }

    .hero-section .headline {
        margin-left: 0;
    }

    .home.page-template .hero-section {
        height: 98vh;
    }

    .hero-section .price_tag {
        width: 100px;
        height: 100px;
    }
}